path: /build/build/kubectl-sys-cluster-1.31.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} sys-cluster/kubectl -pv -t && \
    emerge -j ${JOBS} --nodeps sys-cluster/kubectl
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/kubectl && luet-portage --dir /pkgdir/kubectl
    sys-cluster/kubectl && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:7c03c480d40283fe1be391c580bebf72cc30e5aa3b1348558458c609e9d3adc7
  package:
    name: kubectl
    version: 1.31.0
    category: sys-cluster
    requires:
    - name: macaroni-funtoo-race17
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: CLI to run commands against Kubernetes clusters
    uri:
    - https://kubernetes.io
    license: Apache-2.0
    buildtimestamp: 2024-08-25 15:37:32.290587815 +0000 UTC m=+220.653789234
    labels:
      BDEPEND: '>=dev-lang/go-1.21 >=dev-lang/go-1.12 app-arch/unzip'
      DEPEND: '!sys-cluster/kubernetes'
      IUSE: hardened
      emerge.packages: sys-cluster/kubectl
      kit: core-kit
      original.package.name: sys-cluster/kubectl
      original.package.slot: "0"
      original.package.version: 1.31.0
    treedir: /build/packages
  package_dir: /pkgdir/kubectl
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 199609c7556555b71557bd411a64607f7581c3f708a14e3d30a42a50128c1991
compressiontype: zstd
files:
- usr/bin/kubectl
- usr/share/bash-completion/completions/kubectl
- usr/share/zsh/site-functions/_kubectl
- var/db/pkg/sys-cluster/kubectl-1.31.0/BDEPEND
- var/db/pkg/sys-cluster/kubectl-1.31.0/BUILD_TIME
- var/db/pkg/sys-cluster/kubectl-1.31.0/CATEGORY
- var/db/pkg/sys-cluster/kubectl-1.31.0/CBUILD
- var/db/pkg/sys-cluster/kubectl-1.31.0/CFLAGS
- var/db/pkg/sys-cluster/kubectl-1.31.0/CHOST
- var/db/pkg/sys-cluster/kubectl-1.31.0/CONTENTS
- var/db/pkg/sys-cluster/kubectl-1.31.0/COUNTER
- var/db/pkg/sys-cluster/kubectl-1.31.0/CTARGET
- var/db/pkg/sys-cluster/kubectl-1.31.0/CXX
- var/db/pkg/sys-cluster/kubectl-1.31.0/CXXFLAGS
- var/db/pkg/sys-cluster/kubectl-1.31.0/DEFINED_PHASES
- var/db/pkg/sys-cluster/kubectl-1.31.0/DEPEND
- var/db/pkg/sys-cluster/kubectl-1.31.0/DESCRIPTION
- var/db/pkg/sys-cluster/kubectl-1.31.0/EAPI
- var/db/pkg/sys-cluster/kubectl-1.31.0/FEATURES
- var/db/pkg/sys-cluster/kubectl-1.31.0/HOMEPAGE
- var/db/pkg/sys-cluster/kubectl-1.31.0/INHERITED
- var/db/pkg/sys-cluster/kubectl-1.31.0/IUSE
- var/db/pkg/sys-cluster/kubectl-1.31.0/IUSE_EFFECTIVE
- var/db/pkg/sys-cluster/kubectl-1.31.0/KEYWORDS
- var/db/pkg/sys-cluster/kubectl-1.31.0/LDFLAGS
- var/db/pkg/sys-cluster/kubectl-1.31.0/LICENSE
- var/db/pkg/sys-cluster/kubectl-1.31.0/NEEDED
- var/db/pkg/sys-cluster/kubectl-1.31.0/NEEDED.ELF.2
- var/db/pkg/sys-cluster/kubectl-1.31.0/PF
- var/db/pkg/sys-cluster/kubectl-1.31.0/RESTRICT
- var/db/pkg/sys-cluster/kubectl-1.31.0/SIZE
- var/db/pkg/sys-cluster/kubectl-1.31.0/SLOT
- var/db/pkg/sys-cluster/kubectl-1.31.0/USE
- var/db/pkg/sys-cluster/kubectl-1.31.0/environment.bz2
- var/db/pkg/sys-cluster/kubectl-1.31.0/kubectl-1.31.0.ebuild
- var/db/pkg/sys-cluster/kubectl-1.31.0/repository
package_cacheimage: ""
runtime:
  name: kubectl
  version: 1.31.0
  category: sys-cluster
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: CLI to run commands against Kubernetes clusters
  uri:
  - https://kubernetes.io
  license: Apache-2.0
  labels:
    BDEPEND: '>=dev-lang/go-1.21 >=dev-lang/go-1.12 app-arch/unzip'
    DEPEND: '!sys-cluster/kubernetes'
    IUSE: hardened
    emerge.packages: sys-cluster/kubectl
    kit: core-kit
    original.package.name: sys-cluster/kubectl
    original.package.slot: "0"
    original.package.version: 1.31.0
